InterpolatedCurve< Interpolator > Class Template Reference

Helper class to build interpolated term structures. More...

`#include <ql/termstructures/interpolatedcurve.hpp>`

Inheritance diagram for InterpolatedCurve< Interpolator >:
[legend]

## Protected Member Functions

void | setupInterpolation ()
Building
| InterpolatedCurve (const std::vector< Time > &times, const std::vector< Real > &data, const Interpolator &i=Interpolator())
| InterpolatedCurve (const std::vector< Time > &times, const Interpolator &i=Interpolator())
| InterpolatedCurve (Size n, const Interpolator &i=Interpolator())
| InterpolatedCurve (const Interpolator &i=Interpolator())
Copying
| InterpolatedCurve (const InterpolatedCurve &c)
InterpolatedCurve & | operator= (const InterpolatedCurve &c)

## Protected Attributes

std::vector< Time > | times_
std::vector< Real > | data_
Interpolation | interpolation_
Interpolator | interpolator_
Date | maxDate_

## Detailed Description

### template<class Interpolator>
class QuantLib::InterpolatedCurve< Interpolator >

Helper class to build interpolated term structures.

Interpolated term structures can use proected or private inheritance from this class to obtain the relevant data members and implement correct copy behavior.